> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Password with Token

> Reset the password of associated username with provided reset token. Reset token is emailed to username/email if found from GET endpoint.



## OpenAPI

````yaml post /password-reset
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /password-reset:
    post:
      tags:
        - Authentication
      summary: Reset Password with Token
      description: >-
        Reset the password of associated username with provided reset token.
        Reset token is emailed to username/email if found from GET endpoint.
      operationId: postPasswordReset
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          example: application/json
        - name: Accept
          in: header
          required: true
          schema:
            type: string
          example: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - username
                - new_password
                - reset_token
              properties:
                username:
                  type: string
                  example: j.doe@coverwhale.com
                new_password:
                  description: New password for associated username.
                  type: string
                reset_token:
                  description: Reset token emailed to associated username.
                  type: string
              type: object
      responses:
        '200':
          description: Authentication Success
          content:
            application/json:
              example: 'Auth Success: Password Reset Success.'
              schema:
                type: string
        '400':
          description: Authentication Error
          content:
            application/json:
              example: >-
                Auth Error: Password Reset Failed; Invalid verification code
                provided, please try again..
              schema:
                type: string
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````